Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.sg
Interface SGDataProc

public interface SGDataProc

The sequence grabber calls your data function whenever any channel component writes data to the destination movie. You may use your data function to store the digitized data in some format other than a QuickTime movie.

Method Summary
`int` | `execute(SGChannel chan, QTPointerRef dataToWrite, int offset, int chRefCon, int time, int writeType)` The method that is called by QuickTime to write the provided data.

Method Detail

### execute

    public int execute(SGChannel chan,
                       QTPointerRef dataToWrite,
                       int offset,
                       int chRefCon,
                       int time,
                       int writeType)
                throws QTException

  The method that is called by QuickTime to write the provided data. If any error occurs that should be provided back to quicktime this method should throw an exception with the appropriate error number. The method returns information to QuickTime supplying the value indicated by the writeType parameter - typically where you wrote the data (or zero if you didn't write data).
  Parameters:
    `chan` - Identifies the channel component that is writing the digitized data. This will be a subclass of the SGChannel abstract class.
    `dataToWrite` - contains the digitized data
    `offset` - may specify where you are to write the digitized data
    `chRefCon` - contains control information - sample flags for use by the Movie ToolboxÕs AddMediaSample function
    `time` - Identifies the starting time of the data, in the channelÕs time scale. You can use the SGChannel.getTimeScale method to retrieve the channel's time scale.
    `writeType` - Indicates the type of write operation being performed.
    - seqGrabWriteAppend
      Append the new data to the end of the file. Set the field referred to by the offset parameter to reflect the location at which you added the data.
    - seqGrabWriteReserve
      Do not write any data to the output file. Instead, reserve space in the output file for the amount of data indicated by the len parameter. Set the field referred to by the offset parameter to the location of the reserved space.
    - seqGrabWriteFill
      Write the data into the location specified by the field referred to by the offset parameter. Set that field to the location of the byte following the last byte you wrote.
  Returns:
    where you wrote the data or zero if you didn't write data.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD